<?xml version="1.0"?>
<doc>
    <assembly>
        <name>AFXUI</name>
    </assembly>
    <members>
        <member name="M:AFXUI.UBreakdown.ProcessRenderingError(System.Type,System.Exception,System.Boolean)">
            <exception cref="P:AFXUI.UBreakdown.Exception" />
        </member>
        <member name="M:AFXUI.UFatalBreakdown.ProcessRenderingError(System.Type,System.Exception)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:AFXUI.UFatalBreakdown.ProcessRenderingError_A(System.Type,System.Exception)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:AFXUI.UEscapeException.#ctor(System.Type,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UEscapeException.#ctor(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UEscapeException.#ctor(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UEscapeException.#ctor(System.String,System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:AFXUI.UEscapeExceptionEx">
            <summary>
            Extended escape exception (with additional message)
            </summary>
        </member>
        <member name="M:AFXUI.UEscapeExceptionEx.#ctor(System.Type,System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UEscapeExceptionEx.#ctor(System.Reflection.MethodBase,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UEscapeExceptionEx.#ctor(System.String,System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:AFXUI.UEscapeExceptionTN">
            <summary>
            Escape exception, that is constructed by throwing type name (explicitly specified)
            </summary>
        </member>
        <member name="M:AFXUI.UEscapeExceptionTN.#ctor(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:AFXUI.NotNullInterpreter_AFX">
            <summary>
            Not null object and value interpreter (strict accessor)
            </summary>
        </member>
        <member name="M:AFXUI.NotNullInterpreter_AFX.NN``1(``0)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:AFXUI.NotNullInterpreter_AFX.V``1(System.Nullable{``0})">
            <exception cref="T:CommonHelpers.WASM.HNullValueException" />
        </member>
        <member name="T:AFXUI.UMagistral">
            <summary>
            Magistral layout access for WASM
            </summary>
        </member>
        <member name="M:AFXUI.UMagistral.PopModalPopup(Microsoft.AspNetCore.Components.ComponentBase)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UMagistral.VerifyNotHasModalPopup">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:AFXUI.UMagistralMI">
            <summary>
            Magistral layout Menu-Item access for WASM (navigation items control)
            </summary>
        </member>
        <member name="T:AFXUI.UBusyState">
            <summary>
            Application busy appearance and blocking for query operation (not for long time period)
            </summary>
        </member>
        <member name="M:AFXUI.UBusyState.Activate(System.String,System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UBusyState.SetOperationText(System.String,System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UBusyState.NotifyOpAbandoned(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UBusyState.Deactivate">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UBusyState.VerifyActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UBusyState.VerifyNotActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.BaseDo(System.Int32,System.Type,Microsoft.AspNetCore.Components.ComponentBase,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.CheckExclusiveRejection(AFXUI.UCircuit.ExclusiveRejectionParams)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.BaseDo_A(System.Int32,System.Type,Microsoft.AspNetCore.Components.ComponentBase,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.BaseDo_A(System.Int32,System.Type,Microsoft.AspNetCore.Components.ComponentBase,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_Check(System.Type,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_Check(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeExceptionTN" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_Check(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitFor_A(System.Type,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitFor_A(System.String,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitFor_A(System.Reflection.MethodBase,System.Func{System.Boolean})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitExclusiveInterception(System.Int32,System.Type,System.String)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitExclusiveInterception(System.Int32,System.String,System.String)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UCircuit.ESC_WaitExclusiveInterception(System.Int32,System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="P:AFXUI.UCircuit.WasXOpAbandonedOrCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:AFXUI.UCircuit.WasExclusiveOpCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.HasExclusiveOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.SyncEntryCountAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.AsyncEntryCountAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.CloseExclusiveOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.LeaveExclusiveOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.SetExclusiveCancellation(System.Threading.CancellationTokenSource)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.ResetExclusiveCancellation">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.VerifyExclusiveActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.VerifyExclusiveNotActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.VerifyExclusiveActiveAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.VerifyExclusiveNotActiveAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.StrictExclusiveContextAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.GetExclusiveContextAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.GetExclusiveLevelData(System.Int32,System.String)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuit.PrepareExclusiveInfo(System.Int32,System.Int32,System.Type,Microsoft.AspNetCore.Components.ComponentBase,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UCircuit.CheckBlocking(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UCircuitExtraParams.#ctor(AFXUI.UFuncTraceOptions,System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuitExtraParams.At(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UCircuitExtraParams.NoTraceAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Boolean,AFXUI.UCircuitExtraParams,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_Check(System.Type,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_Check(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeExceptionTN" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_Check(System.Reflection.MethodBase)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_WaitFor_A(System.Type,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_WaitFor_A(System.String,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ESC_WaitFor_A(System.Reflection.MethodBase,System.Func{System.Boolean})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static_nt(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static_nt(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.go_static_nt(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ByUniqueId(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.WASM.HUnsuccessException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ByUniqueId``1(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.WASM.HUnsuccessException" />
        </member>
        <member name="M:AFXUI.UComponentBase.GetByUniqueId``1(System.String)">
            <exception cref="T:CommonHelpers.WASM.HUnsuccessException" />
        </member>
        <member name="M:AFXUI.UComponentBase.CastComponent``1(AFXUI.UComponentBase,System.String)">
            <exception cref="T:CommonHelpers.WASM.HUnsuccessException" />
        </member>
        <member name="P:AFXUI.UComponentBase.WasXOpAbandonedOrCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:AFXUI.UComponentBase.WasExclusiveOpCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UComponentBase.HasExclusiveOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.UComponentBase.ProcessRenderingError(System.Type,System.Exception,System.Boolean)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="T:AFXUI.UInputBlocking">
            <summary>
            User input blocking (usually for small duration)
            </summary>
        </member>
        <member name="M:AFXUI.UInputBlocking.CheckBlocking(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.UInputBlocking.VerifyBlocked">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.UInputBlocking.VerifyNotBlocked">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.AT_STATIC_NT(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStatic_A(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Boolean,AFXUI.UCircuitExtraParams,System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticBlocking_A(System.Boolean,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.DoStaticIfNotBlocked(System.Int32,System.Reflection.MethodBase,AFXUI.UCircuitExtraParams,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_Check(System.Type,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_Check(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeExceptionTN" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_Check(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_WaitFor_A(System.Type,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_WaitFor_A(System.String,System.Func{System.Boolean},System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ESC_WaitFor_A(System.Reflection.MethodBase,System.Func{System.Boolean})">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static_nt(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static_nt(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.go_static_nt(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.GO_STATIC_NT(System.Reflection.MethodBase,System.Func{System.Boolean},System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:AFXUI.ULayoutComponentBase.WasXOpAbandonedOrCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:AFXUI.ULayoutComponentBase.WasExclusiveOpCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.HasExclusiveOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:AFXUI.ULayoutComponentBase.ProcessRenderingError(System.Type,System.Exception,System.Boolean)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="T:AFXUI.AFXUI_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
